#ifndef ROOKING_POSIBILITY
#define ROOKING_POSIBILITY

#include <string>

class RookingPosibility {
public:
    RookingPosibility();
    RookingPosibility(bool, bool, bool, bool);
    static RookingPosibility from_fen(std::string str);
    static RookingPosibility none();
    static RookingPosibility all();

    bool white_king;
    bool white_queen;
    bool black_king;
    bool black_queen;

    std::string to_fen() const;

    bool operator==(const RookingPosibility&) const;
    bool operator!=(const RookingPosibility&) const;
};

#endif
